
public class Class496_Sub1 extends Class496 {

   Interface33 anInterface33_9834;


   Class496_Sub1(Class545_Sub2 var1, int var2, int var3, byte[] var4) {
      this.anInterface33_9834 = var1.method15041(Class98.aClass98_987, var2, var3, false, var4);
      this.anInterface33_9834.method187(false, false);
   }

   Class496_Sub1(Class545_Sub2 var1, int var2, int var3, int[] var4) {
      this.anInterface33_9834 = var1.method15040(var2, var3, false, var4);
      this.anInterface33_9834.method187(false, false);
   }

   static Class496_Sub1 method15399(Class545_Sub2 var0, int var1, int var2, int[] var3, int[] var4) {
      int var6;
      int var7;
      int var8;
      if(var0.method15038(Class98.aClass98_987, Class91.aClass91_897)) {
         byte[] var9 = new byte[var1 * var2];

         for(var6 = 0; var6 < var2; ++var6) {
            var7 = var6 * var1 + var3[var6];

            for(var8 = 0; var8 < var4[var6]; ++var8) {
               var9[var7++] = -1;
            }
         }

         return new Class496_Sub1(var0, var1, var2, var9);
      } else {
         int[] var5 = new int[var1 * var2];

         for(var6 = 0; var6 < var2; ++var6) {
            var7 = var6 * var1 + var3[var6];

            for(var8 = 0; var8 < var4[var6]; ++var8) {
               var5[var7++] = -16777216;
            }
         }

         return new Class496_Sub1(var0, var1, var2, var5);
      }
   }

   static Class496_Sub1 method15400(Class545_Sub2 var0, int var1, int var2, int[] var3, int[] var4) {
      int var6;
      int var7;
      int var8;
      if(var0.method15038(Class98.aClass98_987, Class91.aClass91_897)) {
         byte[] var9 = new byte[var1 * var2];

         for(var6 = 0; var6 < var2; ++var6) {
            var7 = var6 * var1 + var3[var6];

            for(var8 = 0; var8 < var4[var6]; ++var8) {
               var9[var7++] = -1;
            }
         }

         return new Class496_Sub1(var0, var1, var2, var9);
      } else {
         int[] var5 = new int[var1 * var2];

         for(var6 = 0; var6 < var2; ++var6) {
            var7 = var6 * var1 + var3[var6];

            for(var8 = 0; var8 < var4[var6]; ++var8) {
               var5[var7++] = -16777216;
            }
         }

         return new Class496_Sub1(var0, var1, var2, var5);
      }
   }

   static Class496_Sub1 method15401(Class545_Sub2 var0, int var1, int var2, int[] var3, int[] var4) {
      int var6;
      int var7;
      int var8;
      if(var0.method15038(Class98.aClass98_987, Class91.aClass91_897)) {
         byte[] var9 = new byte[var1 * var2];

         for(var6 = 0; var6 < var2; ++var6) {
            var7 = var6 * var1 + var3[var6];

            for(var8 = 0; var8 < var4[var6]; ++var8) {
               var9[var7++] = -1;
            }
         }

         return new Class496_Sub1(var0, var1, var2, var9);
      } else {
         int[] var5 = new int[var1 * var2];

         for(var6 = 0; var6 < var2; ++var6) {
            var7 = var6 * var1 + var3[var6];

            for(var8 = 0; var8 < var4[var6]; ++var8) {
               var5[var7++] = -16777216;
            }
         }

         return new Class496_Sub1(var0, var1, var2, var5);
      }
   }

   static Class496_Sub1 method15402(Class545_Sub2 var0, int var1, int var2, int[] var3, int[] var4) {
      int var6;
      int var7;
      int var8;
      if(var0.method15038(Class98.aClass98_987, Class91.aClass91_897)) {
         byte[] var9 = new byte[var1 * var2];

         for(var6 = 0; var6 < var2; ++var6) {
            var7 = var6 * var1 + var3[var6];

            for(var8 = 0; var8 < var4[var6]; ++var8) {
               var9[var7++] = -1;
            }
         }

         return new Class496_Sub1(var0, var1, var2, var9);
      } else {
         int[] var5 = new int[var1 * var2];

         for(var6 = 0; var6 < var2; ++var6) {
            var7 = var6 * var1 + var3[var6];

            for(var8 = 0; var8 < var4[var6]; ++var8) {
               var5[var7++] = -16777216;
            }
         }

         return new Class496_Sub1(var0, var1, var2, var5);
      }
   }

   static Class496_Sub1 method15403(Class545_Sub2 var0, int var1, int var2, int[] var3, int[] var4) {
      int var6;
      int var7;
      int var8;
      if(var0.method15038(Class98.aClass98_987, Class91.aClass91_897)) {
         byte[] var9 = new byte[var1 * var2];

         for(var6 = 0; var6 < var2; ++var6) {
            var7 = var6 * var1 + var3[var6];

            for(var8 = 0; var8 < var4[var6]; ++var8) {
               var9[var7++] = -1;
            }
         }

         return new Class496_Sub1(var0, var1, var2, var9);
      } else {
         int[] var5 = new int[var1 * var2];

         for(var6 = 0; var6 < var2; ++var6) {
            var7 = var6 * var1 + var3[var6];

            for(var8 = 0; var8 < var4[var6]; ++var8) {
               var5[var7++] = -16777216;
            }
         }

         return new Class496_Sub1(var0, var1, var2, var5);
      }
   }
}
